Bug 473671 - Monochrome driver only for Brother HL-4040CN colour laser printer
Monochrome driver only for Brother HL-4040CN colour laser printer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 16:38 EST by Danny Ciarniello
Modified: 2009-10-22 06:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-22 06:53:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danny Ciarniello 2008-11-29 16:38:29 EST
Description of problem:

The Brother HL-4040CN is a colour laser printer but the cups driver that comes with Fedora 10 for this printer is a monochrome driver.

How reproducible:
Always

Steps to Reproduce:
1. Install cups driver for Brother HL-4040CN
  
Actual results:
Monochrome driver is only driver available for HL-4040CN

Expected results:
Colour driver should be available

Additional info:
The driver available directly from Brother at http://solutions.brother.com/linux/sol/printer/linux/cups_drivers.html works with Fedora 10 but requires the installation of the 32-bit glibc libraries.
Comment 1 Danny Ciarniello 2008-12-01 11:25:16 EST
Please note that the driver that "works" from Brother's site is not the one marked foomatic but the one following.
Comment 2 Tim Waugh 2009-10-21 12:09:43 EDT
Are you still seeing this problem?  The available driver in an updated Fedora 10 install is 'pxlcolor'.
Comment 3 Danny Ciarniello 2009-10-21 21:56:39 EDT
I'm not using Fedora 10 any longer so I can't say definitively but I am using Fedora 11 which is also 'pxlcolor' and it works fine.

Note You need to log in before you can comment on or make changes to this bug.